Bug 61779 - Error for wireless request "Set Frequency" (8B04)
Summary: Error for wireless request "Set Frequency" (8B04)
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: wireless-tools   
(Show other bugs)
Version: skipjack-beta1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 61901 67218
TreeView+ depends on / blocked
 
Reported: 2002-03-24 15:21 UTC by Fortepianissimo
Modified: 2014-03-17 02:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-21 22:21:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Fortepianissimo 2002-03-24 15:21:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020321

Description of problem:
Inserting an ORiNOCO silver card generated the following error message and
failed to activate the wireless networking:

Error for wireless request "Set Frequency" (8B04) :
    SET failed on device eth1 ; Operation not supported.
Determining IP information for eth1... failed.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Using redhat-config-network to configure the wireless interface at eth0
2. Inserting an ORiNOCO silver card
3. Bingo!
	

Actual Results:  The error message given in "Description".

Expected Results:  The network should be up and running.

Additional info:

The result was obtained on a Dell Inspiron 4100 laptop, with an internal NIC
configured as eth0. Following are the relevant configurations:

/etc/sysconfig/networking/devices/ifcfg-Wireless:

USERCTL='yes'
DEVHOSTNAME=''
NETMASK=''
BOOTPROTO='dhcp'
DOMAIN=''
NAME=''
HWADDR=''
DEVICE='eth1'
IPADDR=''
GATEWAY=''
TYPE='Wireless'
ONBOOT='no'
CHANNEL='6'
FREQ=''
KEY='off'
ESSID='XXX'  <-- set to the proper ID
MODE='Managed'
RATE='auto'
PEERDNS='yes'
NETWORK=x.x.x.x  <-- set to the proper address
BROADCAST=x.x.x.x  <-- set to the proper address


/etc/sysconfig/network-scripts/ifcfg-eth1:

USERCTL='yes'
DEVHOSTNAME=''
NETMASK=''
BOOTPROTO='dhcp'
DOMAIN=''
NAME=''
HWADDR=''
DEVICE='eth1'
IPADDR=''
GATEWAY=''
TYPE='Wireless'
ONBOOT='no'
CHANNEL='6'
FREQ=''
KEY='off'
ESSID='XXX'  <-- set to the proper ID
MODE='Managed'
RATE='auto'
PEERDNS='yes'
NETWORK=x.x.x.x  <-- set to the proper address
BROADCAST=x.x.x.x  <-- set to the proper address

Comment 1 Fortepianissimo 2002-03-24 15:23:17 UTC
I forgot to mention: the previous version worked fine without this problem,
using exactly the same configurations (wireless-tools-21-3.i386.rpm).

Comment 2 Bill Nottingham 2002-04-09 17:01:37 UTC
Is this fixed with 23-2?

Comment 3 Fortepianissimo 2002-04-10 20:53:33 UTC
Unfortunately no - the same problem persists.

Comment 4 Bill Nottingham 2002-04-11 04:14:04 UTC
Can you attach the config file? It shouldn't even be trying to set the frequency
from what I see there.

Comment 5 Fortepianissimo 2002-04-11 04:48:25 UTC
The file /etc/sysconfig/networking/profiles/default/ifcfg-Wireless:
USERCTL='yes'
DEVHOSTNAME=''
NETMASK=''
BOOTPROTO='dhcp'
DOMAIN=''
NAME=''
HWADDR=''
DEVICE='eth1'
IPADDR=''
GATEWAY=''
TYPE='Wireless'
ONBOOT='no'
CHANNEL='6'
FREQ=''
KEY='off'
ESSID='XXX'  <-- set to the proper ID
MODE='Managed'
RATE='auto'
PEERDNS='yes'
NETWORK=x.x.x.x  <-- set to the proper address
BROADCAST=x.x.x.x  <-- set to the proper address


And the file /etc/sysconfig/networking/devices/ifcfg-Wireless

USERCTL='yes'
DEVHOSTNAME=''
NETMASK=''
BOOTPROTO='dhcp'
DOMAIN=''
NAME=''
HWADDR=''
DEVICE='eth1'
IPADDR=''
GATEWAY=''
TYPE='Wireless'
ONBOOT='no'
CHANNEL='6'
FREQ=''
KEY='off'
ESSID='XXX'  <-- set to the proper ID
MODE='Managed'
RATE='auto'
PEERDNS='yes'
NETWORK=x.x.x.x  <-- set to the proper address
BROADCAST=x.x.x.x  <-- set to the proper address


Note everything worked in 21-3. If you need any more info let me know.

Comment 6 Fortepianissimo 2002-04-11 04:50:05 UTC
Oh one thing probably needs to be mentioned: my kernel is 2.4.18-rc4, built
manually (not rpm).

Comment 7 Bill Nottingham 2002-04-11 15:01:59 UTC
Out of curiousity, does it work if you use the 2.4.18-0.x available in rawhide?

Comment 8 Trond Eivind Glomsrxd 2002-04-16 19:36:46 UTC
Seems to work for me, with a gold card.

Comment 9 Fortepianissimo 2002-06-21 22:21:36 UTC
Ok for wireless-tools-24-1 rpm everything works fine now. (same kernel - 2.4.18)


Note You need to log in before you can comment on or make changes to this bug.